Bug 1015289 - libftdi udev rules for plugdev access does not cover ft232 devices
Summary: libftdi udev rules for plugdev access does not cover ft232 devices
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libftdi   
(Show other bugs)
Version: 19
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lucian Langa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-10-03 20:01 UTC by Christian Tacke
Modified: 2014-05-31 10:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-31 10:01:36 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christian Tacke 2013-10-03 20:01:43 UTC
Description of problem:
I have a FTDI cable with FT232 chip inside. I could not access this device with libftdi as a user (I'm in plugdev group). Also ls -l /dev/bus/usb/xxx/xxx shows that only root can access the device


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.plugin device
2.get bus and device number from lsusb
3.check ls -l /dev/bus/usb/xxx/xxx for plugdev group

Actual results:
ls -l /dev/bus/usb/xxx/xxx shows root root

Expected results:
ls -l /dev/bus/usb/xxx/xxx shows root plugdev

Additional info:
/etc/udev/rules.d/99-libftdi.rules doesn't include idProduct for ft232 device which is 6001. Solution: adding to the rules the line: SUBSYSTEM=="usb", ATTRS{idVendor}=="0403", ATTRS{idProduct}=="6001", MODE="0664", GROUP="plugdev"

libftdi sources contain this and other lines.

Comment 1 Peter Robinson 2014-03-24 15:27:48 UTC
This will be fixed in 1.1 in rawhide (F-21)


Note You need to log in before you can comment on or make changes to this bug.